Extending Qt Creator Manual | DiagnosticMessage

Extending Qt Creator Manual 4.5.2

# DiagnosticMessage Class

(CPlusPlus::Document::DiagnosticMessage)

- List of all members, including inherited members

## Public Types

enum | Level { Warning, Error, Fatal }

## Public Functions

| DiagnosticMessage(int level, const QString &fileName, unsigned line, unsigned column, const QString &text, unsigned length = 0)
unsigned | column() const
QString | fileName() const
bool | isError() const
bool | isFatal() const
bool | isWarning() const
unsigned | length() const
int | level() const
unsigned | line() const
QString | text() const
bool | operator!=(const DiagnosticMessage &other) const
bool | operator==(const DiagnosticMessage &other) const

## Member Type Documentation

### enum DiagnosticMessage::Level

## Member Function Documentation

### DiagnosticMessage::DiagnosticMessage(int level, const QString &fileName, unsigned line, unsigned column, const QString &text, unsigned length = 0)

Default constructs an instance of DiagnosticMessage.

### unsigned DiagnosticMessage::column() const

### QString DiagnosticMessage::fileName() const

### bool DiagnosticMessage::isError() const

### bool DiagnosticMessage::isFatal() const

### bool DiagnosticMessage::isWarning() const

### unsigned DiagnosticMessage::length() const

### int DiagnosticMessage::level() const

### unsigned DiagnosticMessage::line() const

### QString DiagnosticMessage::text() const

### bool DiagnosticMessage::operator!=(const DiagnosticMessage &other) const

### bool DiagnosticMessage::operator==(const DiagnosticMessage &other) const